/* Variables */

:root {
  /* Typography */
  --font-principal: "Michroma", sans-serif;
  --font-formal: "Fustat", sans-serif;

  /* Colores texto */
  --primary-blue-color-text: rgb(51, 99, 172);
  --strong-blue-color-text: rgb(35, 62, 99);
  --light-blue-color-text: rgb(3, 165, 222);
  --primary-black-color-text: rgb(72, 72, 72);

  /* Colores background */
  --primary-blue-color-bg: rgb(51, 99, 172);
  --strong-blue-color-bg: rgb(35, 62, 99);
  --light-blue-color-bg: rgb(3, 165, 222);
  --strong-gray-color-bg: rgb(157, 157, 157);
  --light-gray-color-bg: rgb(208, 208, 208);
  --scanned-light-gray-color-bg: rgba(245, 245, 245);

  /* Tamaños Fonts - Desktop */
  --font-size-banner-desktop: 3rem;
  --font-size-titulo-desktop: 2rem;
  --font-size-seccion-desktop: 2rem;
  --font-size-texto-desktop: 1.5rem;
  --font-size-timeline-titulo-desktop: 1.3rem;
  --font-size-timeline-texto-desktop: 1.125rem;
  --font-size-navbar-desktop: 1rem;
  --font-size-contacto-desktop: 1rem;
  --font-size-box-title-desktop: 1.2rem;
  --font-size-box-text-desktop: 0.75rem;
  --font-size-button-desktop: 1rem;
  --font-size-modal-text-desktop: 1.25rem;

  /* Tamaños Fonts - Mobile: Tablet */
  --font-size-banner-tablet: 4rem;
  --font-size-titulo-tablet: 2.25rem;
  --font-size-seccion-tablet: 2.5rem;
  --font-size-texto-tablet: 2rem;
  --font-size-timeline-titulo-tablet: 2rem;
  --font-size-timeline-texto-tablet: 1.75rem;
  --font-size-navbar-tablet: 1rem;
  --font-size-contacto-tablet: 1rem;
  --font-size-box-title-tablet: 1.5rem;
  --font-size-box-text-tablet: 0.8rem;
  --font-size-button-tablet: 1.5rem;

  /* Tamaño fonts Mobile: Tablets medianas / split screen */
  --font-size-banner-split: 2.5rem;
  --font-size-titulo-info-servicios-split: 1.7rem;
  --font-size-texto-info-servicios-split: 1.5rem;
  --font-size-box-title-split: 1.15rem;
  --font-size-box-text-split: 0.7rem;
  --font-size-small-button-split: 0.7rem;
  --font-size-modal-text-split: 0.9rem;

  /* Tamaños Fonts - Mobile: Telefonos */
  --font-size-banner-cellphone: 1.5rem;
  --font-size-titulo-cellphone: 1.5rem;
  --font-size-titulo-info-servicios-cellphone: 1.15rem;
  --font-size-seccion-cellphone: 1.4rem;
  --font-size-texto-cellphone: 1.25rem;
  --font-size-texto-info-servicios-cellphone: 1rem;
  --font-size-timeline-titulo-cellphone: 1.25rem;
  --font-size-timeline-texto-cellphone: 1rem;
  --font-size-navbar-cellphone: 1rem;
  --font-size-contacto-cellphone: 1rem;
  --font-size-box-title-cellphone: 0.8rem;
  --font-size-box-text-cellphone: 0.52rem;
  --font-size-button-cellphone: 1rem;
  --font-size-small-button-cellphone: 0.7rem;
  --font-size-modal-text-cellphone: 0.9rem;

  /* Tamaño fonts Mobile: Telefono pequeño */
  --font-size-banner-cellphone-small: 1.35rem;
  --font-size-titulo-cellphone-small: 1.25rem;
  --font-size-titulo-info-servicios-cellphone-small: 1rem;
  --font-size-seccion-cellphone-small: 1.25rem;
  --font-size-texto-cellphone-small: 1.15rem;
  --font-size-texto-info-servicios-cellphone-small: 0.9rem;
  --font-size-timeline-titulo-cellphone-small: 1rem;
  --font-size-timeline-texto-cellphone-small: 0.8rem;
  --font-size-navbar-cellphone-small: 1rem;
  --font-size-contacto-cellphone-small: 1rem;
  --font-size-box-title-cellphone-small: 0.7rem;
  --font-size-box-text-cellphone-small: 0.55rem;
  --font-size-button-cellphone-small: 1rem;
  --font-size-small-button-cellphone-small: 0.57rem;
  --font-size-contacto-cellphone-small: 0.7rem;

  /* Tamaño fonts Mobile: Telefono muy angosto */
  --font-size-banner-cellphone-narrow: 1.25rem;
  --font-size-small-button-cellphone-narrow: 0.4rem;
  --font-size-box-title-cellphone-narrow: 0.62rem;
  --font-size-box-text-cellphone-narrow: 0.45rem;
}

/* General */

@font-face {
  font-family: "Michroma";
  src: url("/Content/Estilos/fonts/Michroma-Regular.ttf") format("truetype");
  font-weight: normal;
  font-style: normal;
}

@font-face {
  font-family: "Fustat";
  src: url("/Content/Estilos/fonts/Fustat-VariableFont_wght.ttf")
    format("truetype-variations");
  font-weight: 100 900;
  font-style: normal;
}

body {
  font-family: var(--font-formal);
  overflow-x: hidden;
}

section {
  scroll-margin-top: 11rem;
}

.section-spacer {
  background-color: #fff;
  height: 4rem;
}

.half-spacer {
  background-color: #fff;
  height: 2rem;
}

img,
button,
a,
svg,
.navbar-brand,
.modal-header,
.service-box {
  user-select: none;
  -webkit-user-select: none;
  -moz-user-select: none;
}

/* Nav Bar */

.navbar {
  background-color: rgb(35, 62, 99);
}

.navbar-brand img {
  max-height: 9rem;
  width: auto;
  display: block;
}

.navbar-nav {
  gap: 2rem;
}

.navbar > .container,
.navbar > .container-fluid {
  max-width: 85%;
}

.navbar-nav .nav-link {
  font-family: var(--font-principal);
  color: rgb(208, 208, 208) !important;
  font-size: 1rem;
  position: relative;
  padding-bottom: 0.75rem;
  transition: color 0.3s ease;
}

.navbar-nav .nav-link.active::after,
.navbar-nav .nav-link:focus::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 0.25rem;
  background-color: rgb(3, 165, 222);
}

.navbar-nav .nav-link:hover::after {
  content: "";
  position: absolute;
  bottom: 0;
  left: 0;
  right: 0;
  height: 0.25rem;
  background-color: rgb(3, 165, 222);
}

/* Nav bar  mobile */
.navbar-toggler {
  border: none;
  padding: 0;
  width: 1.5rem;
  height: 1.5rem;
  position: relative;
  background: transparent;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.navbar-toggler .fa-bars {
  display: none;
}

.navbar-toggler::before,
.navbar-toggler::after,
.navbar-toggler .navbar-toggler-icon {
  content: "";
  display: block;
  width: 2rem;
  height: 0.15rem;
  background-color: rgb(3, 165, 222);
  transition: all 0.3s ease;
  position: absolute;
  left: 0;
  background-image: none !important;
}

.navbar-toggler::before {
  top: 0;
}

.navbar-toggler .navbar-toggler-icon {
  top: 50%;
  transform: translateY(-50%);
}

.navbar-toggler::after {
  bottom: 0;
}

.navbar-toggler[aria-expanded="true"]::before {
  top: 50%;
  transform: translateY(-50%) rotate(45deg);
}

.navbar-toggler[aria-expanded="true"] .navbar-toggler-icon {
  opacity: 0;
}

.navbar-toggler[aria-expanded="true"]::after {
  bottom: 50%;
  transform: translateY(50%) rotate(-45deg);
}

/* Contacto */

.contact-section {
  background-color: rgb(51, 99, 172);
  padding: 5rem 0;
  position: relative;
  overflow: hidden;
}

.section-heading-contacto {
  margin-bottom: 2.5%;
}

.contact-section-svg-decoration {
  position: absolute;
  right: -12.5%;
  top: 50%;
  transform: translateY(-50%);
  width: 35rem;
  opacity: 0.55;
  pointer-events: none;
}

.contact-section-svg-decoration img {
  width: 100%;
  height: auto;
  display: block;
}

.contact-section-svg-icon-overlay {
  position: absolute;
  top: 60%;
  right: 43%;
  width: 2.5rem;
  height: 2.5rem;
  z-index: 2;
}

.contact-section-svg-icon-overlay img {
  width: 100%;
  height: 100%;
  object-fit: contain;
}

.contact-section {
  color: #fff;
  font-family: var(--font-principal);
}

.contact-section h4 {
  padding-top: 5%;
  font-size: 1.25rem;
}

.contact-section-icon {
  width: 2rem;
  height: 2.5rem;
  vertical-align: middle;
}

/* Mobile tablets */
@media (max-width: 1199px) {
  /* General */
  section {
    scroll-margin-top: 7rem;
  }

  /* nav bar */
  .navbar-brand img {
    max-height: 5rem;
  }

  .navbar-collapse {
    background-color: var(--strong-blue-color-bg);
  }

  .navbar-nav {
    gap: 0;
  }

  .navbar-nav .nav-item {
    text-align: right;
    padding: 0.5rem 0;
  }

  .navbar-nav .nav-link {
    font-family: var(--font-principal);
    font-size: 1.5rem;
  }

  .navbar-nav .nav-link::after,
  .navbar-nav .nav-link:hover::after,
  .navbar-nav .nav-link.active::after {
    display: none;
  }

  /* Contacto */

  .contact-section .col-auto {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .contact-section h4 {
    padding-top: 1.5rem;
  }
}

/* Mobile telefonos */

@media (max-width: 767px) {
  /* General */
  .section-spacer {
    height: 3.5rem;
  }

  /* Nav Bar */

  .navbar-nav .nav-link {
    font-size: 0.8rem;
  }

  /* Contacto */
  .contact-section h2 {
    font-size: 1.4rem;
  }

  .contact-section h4 {
    font-size: 0.75rem;
  }

  .contact-section-svg-decoration {
    right: -50%;
    width: 32rem;
  }

  .contact-section-svg-icon-overlay {
    position: absolute;
    right: 42%;
  }
}

/* Mobile telefonos pequeños */

@media (max-width: 391px) {
  /* Contacto */
  .contact-section h2 {
    font-size: var(--font-size-titulo-cellphone-small);
  }

  .contact-section h4 {
    font-size: var(--font-size-contacto-cellphone-small);
  }

  .contact-section-svg-decoration {
    width: 25rem;
    right: -43.5%;
  }

  .contact-section-svg-icon-overlay {
    position: absolute;
    right: 41%;
    width: 2.5rem;
  }

  .contact-section-icon {
    height: 1.5rem;
  }
}
